import * as React from 'react';
import classNames from 'classnames';
import { ConfigConsumer } from '../config-provider';
const Typography = ({ prefixCls: customizePrefixCls, component = 'article', className, 'aria-label': ariaLabel, setContentRef, children, ...restProps }) => (<ConfigConsumer>
    {({ getPrefixCls }) => {
    const Component = component;
    const prefixCls = getPrefixCls('typography', customizePrefixCls);
    return (<Component className={classNames(prefixCls, className)} aria-label={ariaLabel} ref={setContentRef} {...restProps}>
          {children}
        </Component>);
}}
  </ConfigConsumer>);
export default Typography;
