/* tslint:disable */
import * as React from 'react';
import Form from '../Form';
// test Form.create on component without own props
class WithoutOwnProps extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            foo: 'bar',
        };
    }
    render() {
        return <div>foo</div>;
    }
}
const WithoutOwnPropsForm = Form.create()(WithoutOwnProps);
<WithoutOwnPropsForm />;
class WithOwnProps extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            foo: 'bar',
        };
    }
    render() {
        return <div>foo</div>;
    }
}
const WithOwnPropsForm = Form.create()(WithOwnProps);
<WithOwnPropsForm name="foo"/>;
class WithCreateOptions extends React.Component {
    render() {
        return <div>foo</div>;
    }
}
const mapPropsToFields = (props) => {
    const { username } = props;
    return {
        username: Form.createFormField({ value: username }),
    };
};
const formOptions = { mapPropsToFields };
const WithCreateOptionsForm = Form.create(formOptions)(WithCreateOptions);
<WithCreateOptionsForm username="foo"/>;
// Should work with forwardRef & wrappedComponentRef
// https://github.com/ant-design/ant-design/issues/16229
if (React.forwardRef) {
    const ForwardDemo = React.forwardRef(({ str }, ref) => {
        return <div ref={ref}>{str || ''}</div>;
    });
    const WrappedForwardDemo = Form.create()(ForwardDemo);
    <WrappedForwardDemo str=""/>;
}
class WrapRefDemo extends React.Component {
    getForm() {
        return this.props.form;
    }
    render() {
        return <div>{this.props.str || ''}</div>;
    }
}
const WrappedWrapRefDemo = Form.create()(WrapRefDemo);
<WrappedWrapRefDemo str="" wrappedComponentRef={() => null}/>;
