import * as React from 'react';
import classNames from 'classnames';
import { ConfigConsumer } from '../config-provider';
export default class CheckableTag extends React.Component {
    constructor() {
        super(...arguments);
        this.handleClick = () => {
            const { checked, onChange } = this.props;
            if (onChange) {
                onChange(!checked);
            }
        };
        this.renderCheckableTag = ({ getPrefixCls }) => {
            const { prefixCls: customizePrefixCls, className, checked, ...restProps } = this.props;
            const prefixCls = getPrefixCls('tag', customizePrefixCls);
            const cls = classNames(prefixCls, {
                [`${prefixCls}-checkable`]: true,
                [`${prefixCls}-checkable-checked`]: checked,
            }, className);
            delete restProps.onChange; // TypeScript cannot check delete now.
            return <span {...restProps} className={cls} onClick={this.handleClick}/>;
        };
    }
    render() {
        return <ConfigConsumer>{this.renderCheckableTag}</ConfigConsumer>;
    }
}
